Summary:	Simple login manager
Name:		slim
Version:	1.3.1
Release:	%mkrel 7
Group:		System/X11
License:	GPLv2+
URL:		http://slim.berlios.de
Packager:	KDulcimer <kdulcimer@gmail.com>
BuildRoot:	%{_tmppath}/%{name}-%{version}--buildroot
Source0:	%{name}-%{version}.tar.gz
Source1:	%{name}.pam
Source2:	%{name}-session-start
Source3:	%{name}-xinitrc
Patch0:		%{name}-1.3.1-makefile.patch
#This patch is part 1 of adding the ability to log into Openbox and Fluxbox
#Note that this is not the same patch which comes with the Mandriva 2008.1 SRPM
Patch1:		%{name}-1.3.1-config.patch
Patch2:		%{name}-1.3.0-libgen.patch
Patch4:		%{name}-1.3.1-restart-x-after-ctrl_alt_bksp.patch
Patch5:		%{name}-1.3.1-free-tty-keyboard.patch

BuildRequires:	libxmu-devel
BuildRequires:	libxft-devel
BuildRequires:	libxrender-devel
BuildRequires:	libpng-devel
BuildRequires:	libjpeg-devel
BuildRequires:	freetype-devel
BuildRequires:	fontconfig-devel
BuildRequires:	pkgconfig
BuildRequires:	gettext
BuildRequires:	libpam-devel

Requires:	xterm
Requires:	pam >= 0.80
Requires:	perl-File-DesktopEntry

Provides:	dm

%description
SLiM (Simple Login Manager) is a Desktop-independent graphical
login manager for X11.

It aims to be light and simple, although completely configurable
through themes and an option file; is suitable for machines on which
remote login functionalities are not needed.

Features included:

* PNG and XFT support for alpha transparency and antialiased fonts
* External themes support
* Configurable runtime options: X server, login / shutdown / reboot commands
* Single (GDM-like) or double (XDM-like) input control
* Can load predefined user at startup
* Configurable welcome / shutdown messages
* Random theme selection

To change your login manager to SLiM:

1. Open the PCLinuxOS Control Center
   A. Click on the System tab,
   B. then click on the button that says "Choose the display manager that
      enables to select which user to log in".
   C. Select SLiM and reboot your computer.

2. Use a text editor to create a file called ~/.xinitrc and place this
line in it:

exec slim-session-start "$@"

3. Open a terminal and run this command:

chmod 755 ~/.xinitrc

4. Repeat steps 2 & 3 for every user (even root)

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch4 -p1
%patch5 -p1

%build
%make USE_PAM=1

%install
rm -rf %{buildroot}

%makeinstall_std

mkdir -p %{buildroot}%{_sysconfdir}/pam.d
mkdir -p %{buildroot}%{_sysconfdir}/skel
install -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/pam.d/%{name}
install -m 755 %{SOURCE2} %{buildroot}%{_bindir}/%{name}-session-start
install -m 755 %{SOURCE3} %{buildroot}%{_sysconfdir}/skel/.xinitrc

mkdir -p %{buildroot}%{_sysconfdir}/X11/dm.d/
cat > $RPM_BUILD_ROOT%{_sysconfdir}/X11/dm.d/25%{name}.conf << EOF
NAME=SLiM
PACKAGE=slim
DESCRIPTION=SLiM (Simple Login Manager)
EXEC=%{_bindir}/%{name}
EOF

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog README THEMES TODO
%{_bindir}/%{name}
%{_bindir}/%{name}-session-start
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/themes/
%config(noreplace) %{_sysconfdir}/pam.d/%{name}
#%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_sysconfdir}/%{name}.conf
%config(noreplace) %{_sysconfdir}/X11/dm.d/25%{name}.conf
%{_sysconfdir}/skel/.xinitrc
%{_mandir}/man1/*

%changelog
* Sun Feb 08 2009 KDulcimer <kdulcimer@gmail.com> 1.3.1-7tinyme2008
- modify config so it starts on VT08

* Fri Feb 06 2009 KDulcimer <kdulcimer@gmail.com> 1.3.1-6tinyme2008
- re-enable patches

* Sat Jan 31 2009 KDulcimer <kdulcimer@gmail.com> 1.3.1-5tinyme2008
- redo config patch
- comment out restart-x-after-ctrl_alt_bksp and free-tty-keyboard patches

* Fri Jan 30 2009 KDulcimer <kdulcimer@gmail.com> 1.3.1-4tinyme2008
- add free-tty-keyboard patch

* Sun Dec 14 2008 KDulcimer <kdulcimer@gmail.com> 1.3.1-3tinyme2008
- remove xinitrc patch
- add slim-session-start, .xinitrc
- added failsafe session

* Fri Nov 07 2008 KDulcimer <kdulcimer@gmail.com> 1.3.1-2tinyme2008
- Add "restart X after Ctrl+Alt+Backspace" patch

* Mon Nov 03 2008 KDulcimer <kdulcimer@gmail.com> 1.3.1-1tinyme2008
- 1.3.1
- rediff makefile, config patches
- remove cfg, multiple_user, aspect ratio patch

* Sat Mar 15 2008 KDulcimer <kdulcimer@gmail.com> 1.3.0-1tinyme2008
- Initial build for TinyMe (start with Mandriva spec)
